%define oldversion 1.7.4

%define srcname xf86-video-intel
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-intel
Version: 2.0.0
Release: alt1
Serial: 3
Summary: Intel 8xx integrated graphics chipsets
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org

Source0: %srcname-%version.tar.bz2
Source1: %srcname-%oldversion.tar.bz2

Source2: intel.xinf

Patch0: xf86-video-intel-2.0.0-alt-xvmc-link.patch
Patch1: xf86-video-intel-2.0.0-alt-olddrv.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.0.99.901
Requires: xorg-x11-dri-intel xorg-x11-extensions-glx
Obsoletes: xorg-x11-drv-i8xx xorg-x11-drv-i810
Provides: xorg-x11-drv-i8xx = %serial:7.2.0
Provides: xorg-x11-drv-i810 = %serial:%version-%release x11-driver-i810 x11-driver-intel

BuildRequires: libX11-devel libXv-devel libXvMC-devel libdrm-devel libmesa-devel
BuildRequires: pkg-config xorg-x11-proto-devel xorg-x11-sdk xorg-x11-util-macros
BuildRequires: libXdmcp-devel libXau-devel libXext-devel libxorgconfig-devel
BuildRequires: libpciaccess-devel

%description
i810  is  an  Xorg  driver  for  Intel  integrated  graphics
chipsets.  The driver supports depths 8, 15, 16  and  24.   All  visual
types are supported in depth 8.  For the i810/i815 other depths support
the TrueColor and DirectColor visuals.  For the 830M  and  later,  only
the  TrueColor  visual  is  supported  for  depths greater than 8.  The
driver supports hardware accelerated 3D via the Direct Rendering Infra-
structure  (DRI),  but only in depth 16 for the i810/i815 and depths 16
and 24 for the 830M and later.

%def_disable static

%prep
%setup -q -c -a1

%patch0 -p0
%patch1 -p0

%build
for d in %srcname-%oldversion %srcname-%version; do
    cd $d
    %__autoreconf
    %configure \
	--with-xserver-source=%_includedir/xorg \
	--with-xorg-module-dir=%_x11modulesdir \
	--enable-dri \
	%{subst_enable static}

    %make_build
    cd ..
done

%install
for d in %srcname-%oldversion %srcname-%version; do
    cd $d
    %make DESTDIR=%buildroot install
    cd ..
done

%__install -pD -m644 %SOURCE2 %buildroot%_hwdatadir/intel.xinf

%files
%_libdir/*.so.*
%_x11modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Fri Apr 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt1
- 2.0 release

* Tue Apr 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.94-alt1
- 2.0RC4

* Tue Mar 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.93-alt1
- 2.0.RC3
- update xinf

* Wed Mar 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.92-alt1
- 2.0RC2

* Thu Jan 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.4-alt1
- 1.7.4:
  + Fix bug #8536, i915 BIOS fails when restarting Xserver.

* Wed Dec 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt3
- removed modesetting driver

* Sun Dec 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt2
- added modesetting driver (intel_drv.so) for i9xx

* Thu Dec 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt1
- 1.7.3

* Thu Nov 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt4
- added xf86-video-intel-1.7.2-git-DRM-memory-manager,
	xf86-video-intel-1.7.2-git-Xv-hang-G965.patch,
	xf86-video-i810-setcursorposition.diff,
	xf86-video-i810-update-port-attributes.diff,
	xf86-video-i810-video-debug.diff
- added RH patches:
	xf86-video-intel-1.7.2-rh-i810-match-server-sync-ranges.patch

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt3
- rollback to 1.7.2 release
- added videoaliases file from RH

* Thu Nov 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt2
- GIT snapshot 2006-11-08

* Fri Oct 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt1
- 1.7.2:
  + suspend/resume regression from 1.5 driver

* Mon Oct 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.0-alt1
- 1.7.0

* Tue Aug 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.5-alt1.git20060829
- GIT snapshot 2006-08-29

* Fri Aug 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.5-alt1
- 1.6.5

* Tue Aug 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.3-alt1
- 1.6.3

* Wed Jul 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.1-alt1
- 1.6.1

* Sun Jun 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt3
- fix VT switch DRI locking

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt2
- requires xorg-x11-server >= 1.0.99.901

* Thu Apr 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt1
- 1.6.0

* Sun Mar 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.4.1.3-alt1
- rollback 1.4.1.3

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.5.2.0-alt1
- 1.5.2.0 (requires xorg-x11-server >= 1.0.1-alt14)

* Fri Feb 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.4.1.3-alt1
- rollback 1.4.1.3 (1.5.0.0 problematic)

* Tue Jan 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.5.0.0-alt1
- 1.5.0.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.3-alt2
- removed files spectre (%%ghost %%_libdir/*.so)

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt0.1
- initial release

